glibmm: Glib::SignalProxy0< R > Class Template Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::SignalProxy0< R > Class Template Reference

Proxy for signals with 0 arguments. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxy0< R >:
[legend]

## Public Types
typedef sigc::slot< R > | SlotType
typedef sigc::slot< void > | VoidSlotType

## Public Member Functions
| SignalProxy0 (ObjectBase* obj, const SignalProxyInfo* info)
sigc::connection | connect (const SlotType& slot, bool after=true)
| Connects a signal handler to a signal. More...
sigc::connection | connect_notify (const VoidSlotType& slot, bool after=false)
| Connects a signal handler without a return value to a signal. More...
Public Member Functions inherited from Glib::SignalProxyNormal
| ~SignalProxyNormal ()
void | emission_stop ()
| Stops the current signal emission (not in libsigc++) More...
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase* obj)

## Additional Inherited Members
Protected Member Functions inherited from Glib::SignalProxyNormal
| SignalProxyNormal (Glib::ObjectBase* obj, const SignalProxyInfo* info)
| Creates a proxy for a signal that can be emitted by obj. More...
sigc::slot_base& | connect_ (const sigc::slot_base& slot, bool after)
| Connects a generic signal handler to a signal. More...
sigc::slot_base& | connect_notify_ (const sigc::slot_base& slot, bool after)
| Connects a signal handler without a return value to a signal. More...
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase* | obj_

## Detailed Description

### template<class R>
class Glib::SignalProxy0< R >

Proxy for signals with 0 arguments.

Use the connect() or connect_notify() method, with sigc::mem_fun() or sigc::ptr_fun() to connect signal handlers to signals.

## Member Typedef Documentation

template <class R >

typedef sigc::slot<R> Glib::SignalProxy0< R >::SlotType

template <class R >

typedef sigc::slot<void> Glib::SignalProxy0< R >::VoidSlotType

## Constructor & Destructor Documentation

template <class R >

Glib::SignalProxy0< R >::SignalProxy0 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo * | info
| ) |  |
| inline

## Member Function Documentation

template <class R >

sigc::connection Glib::SignalProxy0< R >::connect | ( | const SlotType& | slot,
|  | bool | after = `true`
| ) |  |
| inline

Connects a signal handler to a signal.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters

  slot | The signal handler, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

template <class R >

sigc::connection Glib::SignalProxy0< R >::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = `false`
| ) |  |
| inline

Connects a signal handler without a return value to a signal.

By default, the signal handler will be called before the default signal handler.

For instance, connect_notify( sigc::mem_fun(*this, &TheClass::on_something) );

If the signal requires signal handlers with a `void` return type, the only difference between connect() and connect_notify() is the default value of after.

If the signal requires signal handlers with a return value of type T, connect_notify() binds `return T()` to the connected signal handler. For instance, if the return type is `bool`, the following two calls are equivalent.

connect_notify( sigc::mem_fun(*this, &TheClass::on_something) );
connect( sigc::bind_return<bool>(sigc::mem_fun(*this, &TheClass::on_something), false), false );

Parameters

  slot | The signal handler, which should have a `void` return type, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.